## cvise 2.11.0

=== debian/changelog ===
cvise (2.11.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 17:44:19 +0100

=== debian/control ===
Source: cvise
Section: misc
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper-compat (= 12),
  dh-python,
  chrpath,
  cmake,
  flex,
  python3,
  python3-chardet,
  python3-pebble,
  python3-psutil,
  python3-pytest <!nocheck>,
  llvm-19-dev, libclang-19-dev, clang-19, clang-format-19,
#  clang-tools-19, clang-tidy-19, clangd-19,
  unifdef,
Standards-Version: 4.7.0
Homepage: https://github.com/marxin/cvise

Package: cvise
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  clang-format-19,
  python3,
  python3-chardet,
  python3-pebble,
  python3-psutil,
  unifdef,
Recommends: colordiff
Description: super-parallel Python port of the C-Reduce project
 C-Vise is a tool that takes a large C, C++ or OpenCL program that has
 a property of interest (such as triggering a compiler bug) and
 automatically produces a much smaller C/C++ or OpenCL program that
 has the same property. It is intended for use by people who discover
 and report bugs in compilers and other tools that process C/C++ or
 OpenCL code.
 .
 NOTE: C-Vise happens to do a pretty good job reducing the size of
 programs in languages other than C/C++, such as JavaScript and
 Rust. If you need to reduce programs in some other language, please
 give it a try.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CLANG_V=19
V=$(shell dpkg-parsechangelog -S Version | sed 's/-.*$$//')

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_PREFIX_PATH=/usr/lib/llvm-$(CLANG_V) \
		-DCLANG_FORMAT=clang-format-$(CLANG_V) \
		-DCMAKE_INSTALL_LIBEXECDIR=lib

override_dh_auto_build:
	dh_auto_build

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install

ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	if which help2man >/dev/null 2>&1; then \
	  DESTDIR=$(CURDIR)/debian/cvise help2man --name='super-parallel Python port of the C-Reduce project' \
	    --version-string=$(V) \
	    --no-info \
	    debian/cvise/usr/bin/cvise > debian/cvise.1; \
	fi
endif
	mkdir -p debian/cvise/usr/share/man/man1
	cp debian/cvise.1 debian/cvise/usr/share/man/man1/cvise.1

override_dh_dwz:
ifeq (,$(filter $(DEB_HOST_ARCH), mipsel))
	dh_dwz
endif

override_dh_shlibdeps:
	chrpath -d debian/cvise/usr/lib/cvise/clang_delta
	dh_shlibdeps

override_dh_auto_clean:
	find -name __pycache__ | xargs -r rm -rf
	dh_auto_clean

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/marxin/cvise/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cvise 2.12.0

=== clang_delta/CMakeLists.txt ===
## -*- mode: CMake -*-
##
## Copyright (c) 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 The University of Utah
## All rights reserved.
##
## This file is distributed under the University of Illinois Open Source
## License.  See the file COPYING for details.

###############################################################################

cmake_minimum_required(VERSION 3.14)
project(clang_delta)

###############################################################################

# find_package(LLVM) is done by the topmost "CMakeLists.txt" file.
# find_package(Clang) is done by the topmost "CMakeLists.txt" file.

# Generate file "git_version.cpp".
#
configure_file("git_version.cpp.in" "git_version.cpp" @ONLY)

function(configure_one_file path)
  configure_file(
    "${clang_delta_SOURCE_DIR}/${path}"
    "${clang_delta_BINARY_DIR}/${path}"
    COPYONLY
  )
endfunction(configure_one_file)

set(SOURCE_FILES
  "/tests/test_clang_delta.py"
  "/tests/aggregate-to-scalar/cast.c"
  "/tests/aggregate-to-scalar/cast.output"
  "/tests/aggregate-to-scalar/test1.c"
  "/tests/aggregate-to-scalar/test1.output"
  "/tests/aggregate-to-scalar/test2.c"
  "/tests/aggregate-to-scalar/test2.output"
  "/tests/aggregate-to-scalar/test3.c"
  "/tests/aggregate-to-scalar/test3.output"
  "/tests/aggregate-to-scalar/test4.c"
  "/tests/aggregate-to-scalar/test4.output"
  "/tests/aggregate-to-scalar/test5.cc"
  "/tests/aggregate-to-scalar/test5.output"
  "/tests/aggregate-to-scalar/test6.cc"
  "/tests/aggregate-to-scalar/test6.output"
  "/tests/callexpr-to-value/macro1.c"
  "/tests/callexpr-to-value/macro1.output"
  "/tests/callexpr-to-value/macro2.c"
  "/tests/callexpr-to-value/macro2.output"
  "/tests/callexpr-to-value/test1.c"
  "/tests/callexpr-to-value/test1.output"
  "/tests/callexpr-to-value/test2.c"
  "/tests/callexpr-to-value/test2.output"
  "/tests/class-to-struct/class-to-struct1.C"
  "/tests/class-to-struct/class-to-struct1.output"
  "/tests/class-to-struct/class-to-struct-forward.C"
  "/tests/class-template-to-class/test1.cc"
  "/tests/class-template-to-class/test1.output"
  "/tests/copy-propagation/copy1.cpp"
  "/tests/copy-propagation/copy1.output"
  "/tests/copy-propagation/copy2.cpp"
  "/tests/copy-propagation/copy2.output"
  "/tests/empty-struct-to-int/empty-struct.cpp"
  "/tests/empty-struct-to-int/empty-struct.output"
  "/tests/empty-struct-to-int/empty-struct2.cpp"
  "/tests/empty-struct-to-int/empty-struct2.output"
  "/tests/empty-struct-to-int/empty-struct3.cpp"
  "/tests/empty-struct-to-int/empty-struct3.output"
  "/tests/empty-struct-to-int/empty-struct4.cpp"
  "/tests/empty-struct-to-int/empty-struct4.output"
  "/tests/empty-struct-to-int/empty-struct5.cpp"
  "/tests/empty-struct-to-int/empty-struct5.output"
  "/tests/empty-struct-to-int/empty-struct6.c"
  "/tests/empty-struct-to-int/empty-struct6.output"
  "/tests/empty-struct-to-int/empty-struct7.c"
  "/tests/empty-struct-to-int/empty-struct7.output"
  "/tests/empty-struct-to-int/struct_int.c"
  "/tests/empty-struct-to-int/struct_int.output"
  "/tests/empty-struct-to-int/test1.cc"
  "/tests/empty-struct-to-int/test1.output"
  "/tests/empty-struct-to-int/test2.cc"
  "/tests/empty-struct-to-int/test2.output"
  "/tests/empty-struct-to-int/test3.c"
  "/tests/empty-struct-to-int/test3.output"
  "/tests/instantiate-template-param/default_param.cc"
  "/tests/instantiate-template-param/default_param.output"
  "/tests/instantiate-template-param/test1.cc"
  "/tests/instantiate-template-param/test1.output"
  "/tests/instantiate-template-param/test2.cc"
  "/tests/instantiate-template-param/test2.output"
  "/tests/instantiate-template-param/test3.cc"
  "/tests/instantiate-template-param/test4.cc"
  "/tests/instantiate-template-param/test4.output"
  "/tests/instantiate-template-param/test5.cc"
  "/tests/instantiate-template-param/test5.output"
  "/tests/instantiate-template-param/test6.cc"
  "/tests/instantiate-template-param/test6.output"
  "/tests/instantiate-template-param/test7.cc"
  "/tests/instantiate-template-param/test7.output"
  "/tests/instantiate-template-param/test8a.cc"
  "/tests/instantiate-template-param/test8a.output"
  "/tests/instantiate-template-param/test8b.cc"
  "/tests/instantiate-template-param/test8b.output"
  "/tests/instantiate-template-param/test8c.cc"
  "/tests/instantiate-template-param/test8c.output"
  "/tests/local-to-global/macro.c"
  "/tests/local-to-global/macro.output"
  "/tests/local-to-global/unnamed_1.c"
  "/tests/local-to-global/unnamed_1.output"
  "/tests/local-to-global/unnamed_2.c"
  "/tests/local-to-global/unnamed_2.output"
  "/tests/local-to-global/unnamed_3.c"
  "/tests/local-to-global/unnamed_3.output"
  "/tests/param-to-global/macro.c"
  "/tests/param-to-global/macro.output"
  "/tests/reduce-array-dim/non-type-temp-arg.cpp"
  "/tests/reduce-array-dim/non-type-temp-arg.output"
  "/tests/reduce-pointer-level/scalar-init-expr.cpp"
  "/tests/reduce-pointer-level/scalar-init-expr.output"
  "/tests/merge-base-class/test1.cc"
  "/tests/merge-base-class/test1.output"
  "/tests/merge-base-class/test2.cc"
  "/tests/merge-base-class/test2.output"
  "/tests/merge-base-class/test3.cc"
  "/tests/merge-base-class/test3.output"
  "/tests/remove-base-class/test1.cc"
  "/tests/remove-base-class/test1.output"
  "/tests/remove-base-class/test2.cc"
  "/tests/remove-base-class/test2.output"
  "/tests/remove-base-class/test3.cc"
  "/tests/remove-base-class/test3.output"
  "/tests/remove-base-class/test4.cc"
  "/tests/remove-base-class/test4.output"
  "/tests/move-definition-to-declaration/func1.cc"
  "/tests/move-definition-to-declaration/func1.output"
  "/tests/move-definition-to-declaration/func2.cc"
  "/tests/move-definition-to-declaration/func2.output"
  "/tests/move-definition-to-declaration/func3.cc"
  "/tests/move-definition-to-declaration/func3.output"
  "/tests/move-definition-to-declaration/func4.cc"
  "/tests/move-definition-to-declaration/func4.output"
  "/tests/move-definition-to-declaration/func5.cc"
  "/tests/move-definition-to-declaration/func5.output"
  "/tests/move-definition-to-declaration/func6.cc"
  "/tests/move-definition-to-declaration/struct1.cc"
  "/tests/move-definition-to-declaration/struct1.output"
  "/tests/move-definition-to-declaration/struct2.cc"
  "/tests/move-definition-to-declaration/struct2.output"
  "/tests/move-definition-to-declaration/var1.cc"
  "/tests/move-definition-to-declaration/var1.output"
  "/tests/remove-namespace/macro.cpp"
  "/tests/remove-namespace/macro.output"
  "/tests/remove-namespace/macro.output2"
  "/tests/remove-namespace/macro.output3"
  "/tests/remove-namespace/macro.output4"
  "/tests/remove-namespace/macro.output5"
  "/tests/remove-namespace/namespace.cpp"
  "/tests/remove-namespace/namespace.output"
  "/tests/remove-namespace/namespace.output2"
  "/tests/remove-namespace/namespace.output3"
  "/tests/remove-namespace/namespace2.cpp"
  "/tests/remove-namespace/namespace2.output"
  "/tests/remove-namespace/namespace2.output2"
  "/tests/remove-namespace/namespace3.cpp"
  "/tests/remove-namespace/namespace3.output"
  "/tests/remove-namespace/namespace3.output2"
  "/tests/remove-namespace/namespace3.output3"
  "/tests/remove-namespace/namespace4.cpp"
  "/tests/remove-namespace/namespace4.output"
  "/tests/remove-namespace/namespace5.cpp"
  "/tests/remove-namespace/namespace5.output"
  "/tests/remove-namespace/namespace5.output2"
  "/tests/remove-namespace/namespace5.output3"
  "/tests/remove-namespace/namespace5.output4"
  "/tests/remove-namespace/namespace6.cpp"
  "/tests/remove-namespace/namespace6.output"
  "/tests/remove-namespace/namespace6.output2"
  "/tests/remove-namespace/namespace7.cpp"
  "/tests/remove-namespace/namespace7.output"
  "/tests/remove-namespace/namespace7.output2"
  "/tests/remove-namespace/namespace7.output3"
  "/tests/remove-namespace/namespace8.cpp"
  "/tests/remove-namespace/namespace8.output"
  "/tests/remove-namespace/namespace8.output2"
  "/tests/remove-namespace/namespace9.cpp"
  "/tests/remove-namespace/namespace9.output"
  "/tests/remove-namespace/namespace10.cpp"
  "/tests/remove-namespace/namespace10.output"
  "/tests/remove-namespace/namespace10.output2"
  "/tests/remove-namespace/namespace11.cpp"
  "/tests/remove-namespace/namespace11.output"
  "/tests/remove-namespace/namespace11.output2"
  "/tests/remove-namespace/namespace12.cpp"
  "/tests/remove-namespace/namespace12.output"
  "/tests/remove-namespace/namespace12.output2"
  "/tests/remove-namespace/namespace12.output3"
  "/tests/remove-namespace/namespace13.cpp"
  "/tests/remove-namespace/namespace13.output"
  "/tests/remove-namespace/namespace13.output2"
  "/tests/remove-namespace/namespace14.cpp"
  "/tests/remove-namespace/namespace14.output"
  "/tests/remove-namespace/namespace15.cpp"
  "/tests/remove-namespace/namespace15.output"
  "/tests/remove-namespace/namespace15.output2"
  "/tests/remove-namespace/namespace15.output3"
  "/tests/remove-enum-member-value/builtin_macro.c"
  "/tests/remove-enum-member-value/builtin_macro.output"
  "/tests/remove-unused-enum-member/range.c"
  "/tests/remove-unused-enum-member/range.output"
  "/tests/remove-nested-function/remove_nested_func1.cc"
  "/tests/remove-nested-function/remove_nested_func1.output"
  "/tests/remove-try-catch/try-catch-1.cpp"
  "/tests/remove-try-catch/try-catch-1.output"
  "/tests/remove-try-catch/try-catch-2.cpp"
  "/tests/remove-try-catch/try-catch-2.output"
  "/tests/remove-unused-field/designated1.c"
  "/tests/remove-unused-field/designated1.output"
  "/tests/remove-unused-field/designated2.c"
  "/tests/remove-unused-field/designated2.output"
  "/tests/remove-unused-field/designated3.c"
  "/tests/remove-unused-field/designated3.output"
  "/tests/remove-unused-field/designated4.c"
  "/tests/remove-unused-field/designated4.output"
  "/tests/remove-unused-field/designated5.c"
  "/tests/remove-unused-field/designated5.output"
  "/tests/remove-unused-field/unused_field1.c"
  "/tests/remove-unused-field/unused_field1.output"
  "/tests/remove-unused-field/unused_field2.c"
  "/tests/remove-unused-field/unused_field2.output"
  "/tests/remove-unused-field/unused_field3.cpp"
  "/tests/remove-unused-field/unused_field3.output"
  "/tests/remove-unused-function/class.cc"
  "/tests/remove-unused-function/class.output"
  "/tests/remove-unused-function/const.cc"
  "/tests/remove-unused-function/const.output"
  "/tests/remove-unused-function/const.output2"
  "/tests/remove-unused-function/default.cc"
  "/tests/remove-unused-function/default.output"
  "/tests/remove-unused-function/default.output2"
  "/tests/remove-unused-function/delete.cc"
  "/tests/remove-unused-function/delete.output"
  "/tests/remove-unused-function/delete2.cc"
  "/tests/remove-unused-function/delete2.output"
  "/tests/remove-unused-function/delete2.output2"
  "/tests/remove-unused-function/delete2.output3"
  "/tests/remove-unused-function/delete2.output4"
  "/tests/remove-unused-function/inline_ns.cc"
  "/tests/remove-unused-function/inline_ns.output"
  "/tests/remove-unused-function/macro1.cc"
  "/tests/remove-unused-function/macro1.output"
  "/tests/remove-unused-function/macro2.cc"
  "/tests/remove-unused-function/macro2.output"
  "/tests/remove-unused-function/macro3.cc"
  "/tests/remove-unused-function/macro3.output"
  "/tests/remove-unused-function/template1.cc"
  "/tests/remove-unused-function/template1.output"
  "/tests/remove-unused-function/template2.cc"
  "/tests/remove-unused-function/template2.output"
  "/tests/remove-unused-function/unused-funcs.cc"
  "/tests/remove-unused-function/unused-funcs.output"
  "/tests/remove-unused-function/cyclic-namespace-using.cc"
  "/tests/remove-unused-var/struct1.c"
  "/tests/remove-unused-var/struct1.output"
  "/tests/remove-unused-var/struct2.c"
  "/tests/remove-unused-var/struct2.output"
  "/tests/remove-unused-var/unused_var.cpp"
  "/tests/remove-unused-var/unused_var.output"
  "/tests/rename-class/base_specifier.cpp"
  "/tests/rename-class/base_specifier.output"
  "/tests/rename-class/bool.cc"

=== clex/CMakeLists.txt ===
## -*- mode: CMake -*-
##
## Copyright (c) 2012, 2013, 2014, 2015, 2016 The University of Utah
## All rights reserved.
##
## This file is distributed under the University of Illinois Open Source
## License.  See the file COPYING for details.

###############################################################################

cmake_minimum_required(VERSION 3.14)

# find_package(FLEX) is done by the topmost "CMakeLists.txt" file.

###############################################################################

project(clex)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
include_directories(${CMAKE_BINARY_DIR})

FLEX_TARGET(clex_scanner
  clex.l
  ${PROJECT_BINARY_DIR}/clex.c
  )

add_executable(clex
  ${FLEX_clex_scanner_OUTPUTS}
  defs.h
  driver.c
  )

###############################################################################

project(strlex)
include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
include_directories(${CMAKE_BINARY_DIR})

FLEX_TARGET(strlex_scanner
  strlex.l
  ${PROJECT_BINARY_DIR}/strlex.c
  )

add_executable(strlex
  ${FLEX_strlex_scanner_OUTPUTS}
  defs.h
  driver.c
  )

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU"
    OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
set_source_files_properties(clex.c PROPERTIES COMPILE_FLAGS "-Wno-unused-function -Wno-sign-compare")
set_source_files_properties(strlex.c PROPERTIES COMPILE_FLAGS "-Wno-unused-function -Wno-sign-compare")
endif()
if(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
set_source_files_properties(clex.c PROPERTIES COMPILE_FLAGS -DYY_NO_UNISTD_H)
set_source_files_properties(strlex.c PROPERTIES COMPILE_FLAGS -DYY_NO_UNISTD_H)
endif()

###############################################################################

install(TARGETS clex strlex
  DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/${cvise_PACKAGE}/"
  )

###############################################################################

## End of file.

=== cvise/CMakeLists.txt ===
## -*- mode: CMake -*-
##
## Copyright (c) 2012, 2013, 2014, 2015, 2016, 2018, 2019 The University of Utah
## All rights reserved.
##
## This file is distributed under the University of Illinois Open Source
## License.  See the file COPYING for details.

###############################################################################

cmake_minimum_required(VERSION 3.14)

project(cvise_python)

###############################################################################

# find_package(LLVM) is done by the topmost "CMakeLists.txt" file.

###############################################################################

# Check for the run-time prerequisites of C-Vise.  We only warn the user when
# these are not found at configure time.  Let the user install the dependencies
# later.
#
if(CLANG_FORMAT)
  find_program(CLANG_FORMAT_PATH
    "${CLANG_FORMAT}"
    PATHS "${LLVM_TOOLS_BINARY_DIR}"
  )
else()
  find_program(CLANG_FORMAT_PATH
    "clang-format${CMAKE_EXECUTABLE_SUFFIX}"
    PATHS "${LLVM_TOOLS_BINARY_DIR}"
    )
endif()

if(NOT CLANG_FORMAT_PATH)
  message(STATUS "`clang-format${CMAKE_EXECUTABLE_SUFFIX}' was not found")
  message("You must install `clang-format' before running C-Vise.")
  set(CLANG_FORMAT_PATH "clang-format")
else()
  message(STATUS "Using clang-format in ${CLANG_FORMAT_PATH}")
endif()

###############################################################################

# Generate file "cvise.py".
#
configure_file("${cvise_python_SOURCE_DIR}/cvise.py"
  "${cvise_python_BINARY_DIR}/cvise.py"
)

###############################################################################

# Copy the Python modules into the build tree so that we can run C-Vise there.
#
function(configure_one_file path)
  configure_file(
    "${cvise_python_SOURCE_DIR}/${path}"
    "${cvise_python_BINARY_DIR}/${path}"
    COPYONLY
  )
endfunction(configure_one_file)

set(SOURCE_FILES
  "__init__.py"
  "pass_groups/all.json"
  "pass_groups/opencl-120.json"
  "pass_groups/delta.json"
  "pass_groups/binary.json"
  "passes/__init__.py"
  "passes/abstract.py"
  "passes/balanced.py"
  "passes/blank.py"
  "passes/clang.py"
  "passes/clangbinarysearch.py"
  "passes/clex.py"
  "passes/comments.py"
  "passes/gcdabinary.py"
  "passes/ifs.py"
  "passes/includeincludes.py"
  "passes/includes.py"
  "passes/indent.py"
  "passes/ints.py"
  "passes/line_markers.py"
  "passes/lines.py"
  "passes/peep.py"
  "passes/special.py"
  "passes/ternary.py"
  "passes/unifdef.py"
  "tests/__init__.py"
  "tests/testabstract.py"
  "tests/test_balanced.py"
  "tests/test_comments.py"
  "tests/test_ifs.py"
  "tests/test_ints.py"
  "tests/test_line_markers.py"
  "tests/test_lines.py"
  "tests/test_nestedmatcher.py"
  "tests/test_peep.py"
  "tests/test_special.py"
  "tests/test_ternary.py"
  "tests/test_test_manager.py"
  "utils/__init__.py"
  "utils/error.py"
  "utils/externalprograms.py"
  "utils/misc.py"
  "utils/nestedmatcher.py"
  "utils/readkey.py"
  "utils/statistics.py"
  "utils/testing.py"
)

foreach(file IN LISTS SOURCE_FILES)
  configure_one_file(${file})
endforeach()

###############################################################################

install(DIRECTORY "${cvise_python_BINARY_DIR}/"
  DESTINATION "${CMAKE_INSTALL_DATADIR}/${cvise_PACKAGE}"
  FILES_MATCHING
  PATTERN "*.py"
  PATTERN "*.json"
  PATTERN "__pycache__" EXCLUDE
  PATTERN "CMakeFiles" EXCLUDE
)

###############################################################################

## End of file.

=== delta/CMakeLists.txt ===
## -*- mode: CMake -*-
##
## Copyright (c) 2016 The University of Utah
## All rights reserved.
##
## This file is distributed under the University of Illinois Open Source
## License.  See the file COPYING for details.

###############################################################################

cmake_minimum_required(VERSION 3.14)

# find_package(FLEX) is done by the topmost "CMakeLists.txt" file.

###############################################################################

project(topformflat)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
include_directories(${CMAKE_BINARY_DIR})

FLEX_TARGET(topformflat_scanner
  topformflat.l
  ${PROJECT_BINARY_DIR}/topformflat.c
  )

add_executable(topformflat
  ${FLEX_topformflat_scanner_OUTPUTS}
  )

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU"
    OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
set_source_files_properties(topformflat.c PROPERTIES COMPILE_FLAGS "-Wno-unused-function -Wno-unused-parameter -Wno-sign-compare")
endif()
if(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
set_source_files_properties(topformflat.c PROPERTIES COMPILE_FLAGS -DYY_NO_UNISTD_H)
endif()

###############################################################################

install(TARGETS topformflat
  DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/${cvise_PACKAGE}/"
  )

###############################################################################

## End of file.

=== debian/changelog ===
cvise (2.12.0-3) unstable; urgency=medium

  * Also build using LLVM 21 on hurd-i386. Closes: #
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Feb 2026 13:54:19 +0100

cvise (2.12.0-2) unstable; urgency=medium

  * Build using LLVM 21, except on hurd-i386.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Nov 2025 21:27:15 +0100

cvise (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Build using LLVM 19, newer stable versions not yet in testing.
  * Fix build using LLVM 21, patch taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Oct 2025 11:24:25 +0200

cvise (2.11.0-1ubuntu1) plucky; urgency=medium

  * Build using LLVM 20, patch taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2025 12:05:34 +0100

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,17 @@
   python3-pebble,
   python3-psutil,
   python3-pytest <!nocheck>,
-  llvm-19-dev, libclang-19-dev, clang-19, clang-format-19,
-#  clang-tools-19, clang-tidy-19, clangd-19,
+  llvm-21-dev [hurd-i386], libclang-21-dev [hurd-i386], clang-21 [hurd-i386], clang-format-21 [hurd-i386],
+  llvm-21-dev [!hurd-i386], libclang-21-dev [!hurd-i386], clang-21 [!hurd-i386], clang-format-21 [!hurd-i386],
   unifdef,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/marxin/cvise
 
 Package: cvise
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
-  clang-format-19,
+  clang-format-21 [hurd-i386],
+  clang-format-21 [!hurd-i386],
   python3,
   python3-chardet,
   python3-pebble,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,11 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V=19
+ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386))
+  CLANG_V=21
+else
+  CLANG_V=21
+endif
 V=$(shell dpkg-parsechangelog -S Version | sed 's/-.*$$//')
 
 %:
@@ -26,7 +30,9 @@
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 	if which help2man >/dev/null 2>&1; then \
-	  DESTDIR=$(CURDIR)/debian/cvise help2man --name='super-parallel Python port of the C-Reduce project' \
+	  DESTDIR=$(CURDIR)/debian/cvise \
+	  PYTHONPATH=$(CURDIR)/debian/cvise/usr/share \
+	    help2man --name='super-parallel Python port of the C-Reduce project' \
 	    --version-string=$(V) \
 	    --no-info \
 	    debian/cvise/usr/bin/cvise > debian/cvise.1; \
